#
# spec file for package melys (Version 0.1.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel audiofile esound esound-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libxml libxml-devel xf86
# usedforbuild    aaa_base aaa_dir alsa alsa-devel audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         melys
Summary:      MIDI sequencer application for ALSA sequencer system
Version:      0.1.17
Release:      219
Copyright: GPL
Group: Applications/Sound
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://www.parabola.demon.co.uk/melys/index.html
Source: %{name}-%{version}.tar.bz2

%description
Melys is a Midi sequencer application for the Advanced Linux Sound
Architecture (ALSA). Melys uses the sequencer support of ALSA, along
with the GNOME libraries to produce a powerful and easy to use
sequencer.

Authors:
--------
    Steve Ratcliffe <steve@parabola.demon.co.uk>

SuSE series: snd

%prep
%setup

%build
make

%install
install -m755 -d $RPM_BUILD_ROOT/usr/bin
make INSTPREFIX=$RPM_BUILD_ROOT/usr \
	INSTDIR=$RPM_BUILD_ROOT/usr/bin \
	GNOME_DATA_DIR=$RPM_BUILD_ROOT/opt/gnome/share \
	install

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/*
%dir /opt/gnome/share/gnome/help/melys
/opt/gnome/share/gnome/help/melys/*
%doc README INSTALL COPYING ChangeLog

%changelog -n melys
* Tue Nov 14 2000 - tiwai@suse.de
- Use bzip2 to archive.
* Thu Nov 02 2000 - tiwai@suse.de
- Fixed spec file for long package-name support.
* Wed Aug 02 2000 - tiwai@suse.de
- Initial version: 0.1.17 with ALSA 0.5.8b
